com.r3corda.protocols / ServiceRequestMessage

# ServiceRequestMessage

`interface ServiceRequestMessage`

Abstract superclass for request messages sent to services, which includes common fields such as replyTo and replyToTopic.

### Properties

sessionID | `abstract val sessionID: Long`

### Functions

getReplyTo | `abstract fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`

### Inheritors

AbstractRequestMessage | `abstract class AbstractRequestMessage : ServiceRequestMessage`
NetworkMapRequestMessage | `abstract class NetworkMapRequestMessage : ServiceRequestMessage`